var estProdMapper = mapperFactory.createMapper("EstProdImp");
try{
	if(message.get("obj")){
		var obj = message.get("obj");
	}else{
		var obj = message;
	}
	
	if(!obj.get("cdProd") || obj.get("cdProd") === null || obj.get("cdProd") === undefined || obj.get("cdProd") < 1){
	    throw {code: 599, message: 'Codigo de Produto nao informado'};
	}
	if(!obj.get("cdFilial") || obj.get("cdFilial") === null || obj.get("cdFilial") === undefined || obj.get("cdFilial") < 1){
	    throw {code: 599, message: 'Codigo de Filial nao informado'};
	}
	if(!obj.get("hist") || obj.get("hist") === null || obj.get("hist") === undefined){
	    throw {code: 599, message: 'Descrição do Historico nao informado'};
	}
	if(!obj.get("qtProd") || obj.get("qtProd") === null || obj.get("qtProd") === undefined || obj.get("qtProd") < 1){
	    throw {code: 599, message: 'Quantidade de Produto nao informado'};
	}
	estProdMapper.insert("incluirEstProdImpLiberacaoAlcadaPendente",obj);
	estProdMapper.commit();
	msg = 'Contagem diaria  cadastrado com sucesso;'
	msg;
	
}catch(err) {
    java.lang.System.out.println(err);
    estProdMapper.rollback();
	if(err.code){
	  throw JSON.stringify(err);
	}else{
	    println("else");
		throw err;
	}
}